Assign and unassign users from detection alerts

Base URL
https://{kibana_url}
  • POST /api/detection_engine/signals/assignees
  • POST /s/{space_id}/api/detection_engine/signals/assignees
Auth

Assign users to detection alerts, and unassign them from alerts.

Note

You cannot add and remove the same assignee in the same request.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

assignees object required
add string[] · format: nonempty required
remove string[] · format: nonempty required
ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

Responses

200

Indicates a successful call.

400

Invalid request.

Base URL
https://{kibana_url}